> ## Documentation Index
> Fetch the complete documentation index at: https://docs.thanx.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Reward Template

> Returns a specific published reward template

<Info>
  Scope required: `rewards.issue`
</Info>

This endpoint returns a specific published reward template for a given merchant.

### Parameters

<ParamField path="id" type="string" required>
  Reward template ID
</ParamField>

<ParamField query="merchant_id" type="string" required>
  Merchant ID
</ParamField>

### Response

<ResponseField name="id" type="string">
  Reward template ID
</ResponseField>

<ResponseField name="name" type="string">
  Template name
</ResponseField>

<ResponseField name="type" type="string">
  Reward type
</ResponseField>

<ResponseField name="subtype" type="string">
  Reward subtype
</ResponseField>

<ResponseField name="description" type="string">
  Short description of the reward
</ResponseField>

<ResponseField name="fine_print" type="string">
  Terms and conditions
</ResponseField>

<ResponseField name="discount" type="hash">
  Discount details
</ResponseField>

<ResponseField name="redemption_venue" type="string">
  Where the reward can be redeemed
</ResponseField>

<ResponseField name="images" type="hash">
  Image URLs for the reward template
</ResponseField>

<RequestExample>
  ```bash Get Reward Template theme={null}
  curl https://api.thanxsandbox.com/partner/reward_templates/abc123def456?merchant_id={merchant_id} \
    -X GET \
    -H 'X-ClientId: {client_id}' \
    -H 'Accept-Version: v4.0' \
    -H 'Content-Type: application/json' \
    -H 'Authorization: Bearer {access_token}'
  ```
</RequestExample>

<ResponseExample>
  ```json Response Example theme={null}
  {
    "reward_template": {
      "id": "abc123def456",
      "name": "Free Coffee",
      "type": "discount",
      "subtype": "free_item",
      "description": "One free coffee, any size",
      "fine_print": "Valid at participating locations",
      "discount": {
        "type": "free_item",
        "value": null
      },
      "redemption_venue": "in_store",
      "images": {
        "small": "https://images.thanx.com/reward_template_small.png",
        "large": "https://images.thanx.com/reward_template_large.png"
      }
    }
  }
  ```
</ResponseExample>
